## netatalk 2.1.2

=== debian/changelog ===
netatalk (2.1.2-2) unstable; urgency=low

  * Fix enable DEB_BUILD_HARDENING.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 23 Jun 2010 22:49:52 +0200

netatalk (2.1.2-1) unstable; urgency=low

  * New upstream release.
  * Refresh patch 205.
  * Tighten reinstall-initscript-quirk: upstream no longer double-
    expands DESTDIR.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 23 Jun 2010 20:08:29 +0200

netatalk (2.1-2) unstable; urgency=low

  * Drop patch 212 (disable CNID metad by default): the CNID scheme used
    by default since Netatalk 2.1, dbd, requires metad enabled.
    Closes: bug#581773, thanks to Søren Grønning.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 15 May 2010 21:09:28 +0200

netatalk (2.1-1) unstable; urgency=low

  * New upstream release.
  * Update patches:
    + Drop patches 001, 002, 003, 101, 102, 103, 104, 105, 106, 113,
      206, 210, 214, and disabled patches 291, 292, 293: Merged upstream
      or no longer applies.
    + Refresh remaining (enabled) patches 109, 200, 205, 212, 213, with
      shortening quilt options --no-timestamps --no-index -pab.
    + Disable patch 109: XFS quota support apparently no longer broken.
  * Use only official CDBS (drop local snippets): All improvements now
    adopted upstream.
  * Use source format 3.0 (quilt), and stop including patchsys-quilt.mk.
  * Refer to FSF website (not postal address) in rules file.
  * Bump copyright years in header of in rules file.
  * Drop locally implemented DEB_MAINTAINER_MODE in rules file: Now
    adopted upstream.
  * Rewrite copyright file using draft DEP5 rev. 135. Adds new owners
    and licenses, and some files lacking proper licensing are revealed.
  * Install docs README.AppleTalk (not README.platforms, its old name)
    and README.ids.
  * Simplify rules file to no longer regenerate autotools: no patches
    affect upstream-shipped automade files.
  * Bump standards compliance to standards-version 3.8.4.
  * Add workaround for upstream braindead double expanded DESTDIR.
  * Tighten build-dependency on cdbs.
  * Stop build-depending on libtool, automake1.11 or autoconf.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 01 May 2010 10:11:00 +0200

netatalk (2.0.5-3) unstable; urgency=medium

  * Fix replace/drop bogus and/or obsolete configure options:
    + Use --without-ssl-dir/--with-ssl-dir (not --with-openssl-dir/
      --without-openssl-dir). Closes: bug#565969, thanks to Fabian
      Greffrath.
    + Use --enable-tcp-wrappers (not --with-tcp-wrappers).
    + Use --disable-srvloc (not --disable-slp).
    + Drop --disable-logger (obsolete since 2.0.1).
    + Drop --with-mangling (apparently obsolete since 2.0 alpha 1).
    + Drop --with-nls-dir and --without-xfs (apparently obsolete).
  * Autoreconfigure during build (since upstream does not enable
    maintainer-mode). Disable autotools-related patches. Build-depend on
    libtool, automake1.11 and autoconf. Closes: bug#559060, thanks to
    Cyril Brulebois and others.
  * Add safety-check to fail build if accidentally linked against
    libssl. Thanks to Fabian Greffrath (see bug#565969).
  * Disable atalkd by default, to not require supported network active
    at daemon start time. Closes: bug#565568, thanks to Kurt Roeckx.
    Add NEWS entry about the change.
  * Build-depend on and enable hardening-includes.
  * Fix adjust "See also" of manpages referring to afile or achfile.
  * Set urgency=medium as earlier lack of explicit disabling openssl
    caused the package to violate licensing for some architectures, also
    affecting testing.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 23 Jan 2010 05:08:37 +0100

netatalk (2.0.5-2) unstable; urgency=low

  * Add patches to sync with upstream stable HEAD:
    + 001_init_sockaddr_in.patch
    + 002_fix_cnid_maint_symlink_attack.patch
    + 003_client-supported_volparam_bitmap.patch. Closes: bug#442228,
      thanks also to Patrik Schindler.
  * Link against BerkeleyDB 4.8. Update (build-)dependencies, patch 2.6,
    README.Debian and example script netatalk_update.sh, and add NEWS
    item.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 01 Dec 2009 00:54:53 +0100

netatalk (2.0.5-1) unstable; urgency=low

  * New upstream prerelease.
  * Unfuzz patches, and minimize their headers.
  * Fix old-style update-rc.d options to match LSB init script hints:
    stop only in runlevel 1 (let system kill it in runlevels 0 and 6).
  * Fix rename variable used to mangle version in get-orig-source rule.
  * Declare binary dependencies (not only build-dependencies) in
    debian/rules.  Document reasons for each dependency.
  * Really drop suggesting timeout (claimed but forgotten in
    2.0.4~rc2-1).
  * Build-depend on libcrack2-dev (with cracklib-dev only as fallback).
  * Drop build-depending on avahi-client-dev by default (only when
    DEB_BUILD_OPTIONS contains zeroconf).
  * Improve patch 201 to use modern roff2ps in etc2ps, and suggest
    groff.
  * Recommend (not suggest) libpam-cracklib, and use default PAM
    configfile setup.
  * Bump policy compliance to standards version 3.8.3.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 25 Nov 2009 18:17:40 +0100

netatalk (2.0.4-2) unstable; urgency=low

  * Update copyright hints.
  * Lower policy compliance to 3.8.0 (uncertain about sysv script
    requirements in 3.8.1).
  * Fix order of db upgrade commands in README.Debian. Closes:
    bug#533344, thanks (again) to Itai Seggev.
  * Update package-relations.mk: Cleanup unversioned+versioned
    dependency mix. Improve whitespace cleanup. Rewrite and silence
    applying dependencies.
  * Fix and improve README.Debian section on recompiling with OpenSSL,
    thanks to Gijs Hillenius and others.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 09 Sep 2009 23:43:27 +0200

netatalk (2.0.4-1) unstable; urgency=low

  * New upstream release.
  * Update local CDBS snippets:
    + Fix package-relations cleanup of debhelper 7
    + Implement fail-source-not-repackaged rule in upstream-tarball.mk

