=== debian/control ===
Source: netatalk
Section: net
Priority: extra
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs (>= 0.4.70~),
 autotools-dev,
 devscripts (>= 2.10.7~),
 dh-buildinfo,
 debhelper (>= 6),
 libdb4.8-dev,
 libwrap0-dev,
 libpam0g-dev,
 libcups2-dev,
 libkrb5-dev,
 libltdl3-dev,
 libgcrypt11-dev | libgcrypt-dev,
 libcrack2-dev | cracklib-dev,
 d-shlibs (>> 0.19),
 hardening-includes
Build-Conflicts: libavahi-compat-libdnssd-dev
Vcs-Git: git://git.debian.org/git/collab-maint/netatalk.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/netatalk.git;a=summary
Standards-Version: 3.8.4
Homepage: http://netatalk.sourceforge.net/

Package: netatalk
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}, ${cdbs:Depends}
Recommends: ${cdbs:Recommends}
Suggests: ${cdbs:Suggests}
Description: AppleTalk user binaries
 Netatalk is an implementation of the AppleTalk Protocol Suite for
 BSD-derived systems.  The current release contains support for
 EtherTalk Phase I and II, DDP, RTMP, NBP, ZIP, AEP, ATP, PAP, ASP, and
 AFP.
 .
 This package contains all daemon and utility programs as well as Netatalk's
 static libraries.
