=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3
# use qa.debian.org redirector; see man uscan
opts=uversionmangle=s/(alpha|beta|rc)/~$1/ \
	http://sf.net/netatalk/netatalk-(\d.*)\.tar\.gz debian
