=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Build-Depends: cdbs (>= 0.4.70~),
  autotools-dev,
  devscripts (>= 2.10.7~),
+ debhelper (>= 6),
  dh-buildinfo,
- debhelper (>= 6),
  libdb4.8-dev,
  libwrap0-dev,
  libpam0g-dev,
@@ -20,7 +20,7 @@
 Build-Conflicts: libavahi-compat-libdnssd-dev
 Vcs-Git: git://git.debian.org/git/collab-maint/netatalk.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/netatalk.git;a=summary
-Standards-Version: 3.8.4
+Standards-Version: 3.9.0
 Homepage: http://netatalk.sourceforge.net/
 
 Package: netatalk
