=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 
 DEB_UPSTREAM_URL = http://downloads.sourceforge.net/netatalk
 DEB_UPSTREAM_TARBALL_BASENAME_MANGLE = s/~(alpha|beta|rc)/\1/
-DEB_UPSTREAM_TARBALL_MD5 = 32705d85db3bd15fa5f986892e2085bd
+DEB_UPSTREAM_TARBALL_MD5 = d5c9262896338cc1402a49c0f8ca2157
 
 db_stable = 4.2
 db_testing = 4.7
@@ -86,10 +86,6 @@
 
 clean::
 	rm -f debian/netatalk.init
-
-# Move master config file (Debian Policy 9.3.2)
-binary-post-install/netatalk::
-	mv debian/netatalk/etc/netatalk/netatalk.conf debian/netatalk/etc/default/netatalk
 
 # Rename some tools + manpages to avoid namespace conflicts
 #  * uniconv → netatalk-uniconv
