=== debian/rules ===
--- 
+++ 
@@ -24,12 +24,8 @@
 include /usr/share/hardening-includes/hardening.make
 
 DEB_UPSTREAM_URL = http://downloads.sourceforge.net/netatalk
-DEB_UPSTREAM_TARBALL_BASENAME_MANGLE = s/~(alpha|beta|rc)/\1/
-DEB_UPSTREAM_TARBALL_MD5 = d5c9262896338cc1402a49c0f8ca2157
-
-db_stable = 4.2
-db_testing = 4.7
-db_current = 4.8
+DEB_UPSTREAM_TARBALL_BASENAME_MANGLE = s/~(alpha|beta|rc)/-\1/
+DEB_UPSTREAM_TARBALL_MD5 = 8bdac54ad3e8de3fdbb2616bc773c2f7
 
 # Override defaults for old-style update-rc.d
 #  * Start and stop at priority 50 (FIXME: explain reasoning)
@@ -49,19 +45,13 @@
 	--with-cnid-dbd-txn			\
 	--with-libgcrypt-dir			\
 	--with-cracklib=/var/cache/cracklib/cracklib_dict	\
+	--disable-srvloc --enable-zeroconf	\
+	--enable-ddp				\
 	--enable-debian
 
 DEB_INSTALL_EXAMPLES_netatalk = debian/examples/*
 
 openssl_build_depends = libssl-dev
-
-# Zeroconf is cool, but not yet stable, so disabled by default
-# Always disable SLP, as it was never really used by Apple
-ifneq (,$(findstring zeroconf,$(DEB_BUILD_OPTIONS)))
-DEB_CONFIGURE_EXTRA_FLAGS += --disable-srvloc --enable-zeroconf
-else
-DEB_CONFIGURE_EXTRA_FLAGS += --disable-srvloc --disable-zeroconf
-endif
 
 # libgcrypt is GPL-compatible, but openssl supports randnum auth
 ifneq (,$(findstring openssl,$(DEB_BUILD_OPTIONS)))
@@ -87,22 +77,15 @@
 clean::
 	rm -f debian/netatalk.init
 
-# Rename some tools + manpages to avoid namespace conflicts
+# Rename files w/ manpage references to avoid namespace conflicts
 #  * uniconv → netatalk-uniconv
 #  * install netatalk-uniconv as system binary
-#  * afile → apple_afile, achfile → apple_chfile
-#  * adjust "See also" of other manpages referring to afile or achfile
 bindir=debian/netatalk/usr/bin
 man1dir=debian/netatalk/usr/share/man/man1
 binary-post-install/netatalk::
 	mv $(bindir)/uniconv $(bindir)/../sbin/netatalk-uniconv
 	perl -p -e 's/(?<!Title: )(uniconv)\\b/netatalk(?(1)\\-)$$2/g;s/(TH "UNICONV" )"1"/$$1"8"/' <$(man1dir)/uniconv.1 >$(man1dir)/../man8/netatalk-uniconv.8
-	mv $(bindir)/afile $(bindir)/apple_file
-	perl -p -e 's/(?<!Title: )afile\\b/apple_file/g' <$(man1dir)/afile.1 >$(man1dir)/apple_file.1
-	mv $(bindir)/achfile $(bindir)/apple_chfile
-	perl -p -e 's/(?<!Title: )achfile\\b/apple_chfile/g' <$(man1dir)/achfile.1 >$(man1dir)/apple_chfile.1
-	rm $(man1dir)/uniconv.1 $(man1dir)/afile.1 $(man1dir)/achfile.1
-	find $(man1dir) -type f -exec grep -Eq 'afile|achfile' '{}' ';' -exec perl -i -pe 's/(\\fBa)((ch)?file\\fR)/$$1pple_$$2/g' '{}' ';'
+	rm $(man1dir)/uniconv.1
 
 # Adjust PAM modules and UAMs loaded by default, depending on ssl support
 binary-post-install/netatalk::
@@ -117,6 +100,7 @@
 	rm -r debian/netatalk/usr/include
 	rm -r debian/netatalk/usr/share/aclocal
 	rm -r debian/netatalk/var
+	rm debian/netatalk/usr/lib/netatalk/*.la
 
 # Create patch to get in sync with upstream CVS
 get-orig-vcs: patchfile = 000_cvs_$(shell date '+%Y%m%d').patch
@@ -137,30 +121,26 @@
 	rm -rf "$(DEB_UPSTREAM_WORKDIR)/vcstemp"
 
 # Needed for by upstream build process
-CDBS_BUILD_DEPENDS += , libdb$(db_current)-dev, libwrap0-dev, libpam0g-dev, libcups2-dev, libkrb5-dev, libltdl3-dev
-CDBS_BUILD_DEPENDS += , libgcrypt11-dev | libgcrypt-dev, libcrack2-dev | cracklib-dev
-ifneq (,$(findstring zeroconf,$(DEB_BUILD_OPTIONS)))
-CDBS_BUILD_DEPENDS += , libavahi-client-dev (>= 0.6)
-endif
+CDBS_BUILD_DEPENDS += , libdb-dev, libwrap0-dev, libpam0g-dev, libcups2-dev, libkrb5-dev, libltdl3-dev
+CDBS_BUILD_DEPENDS += , libgcrypt11-dev, libcrack2-dev
+CDBS_BUILD_DEPENDS += , libavahi-client-dev
 ifneq (,$(findstring openssl,$(DEB_BUILD_OPTIONS)))
 CDBS_BUILD_DEPENDS += , $(openssl_build_depends)
 endif
 
 # Needed for our packaging routines
-CDBS_BUILD_DEPENDS += , d-shlibs (>> 0.19), hardening-includes
+CDBS_BUILD_DEPENDS += , d-shlibs, hardening-includes
 
 # Needed (always/often/seldom) at runtime
 #  * netbase needed by network-facing daemons
 #  * libpam-modules, libpam-cracklib and cracklib-runtime needed by daemons afpd and papd
 #  * lsof and procps needed by script macusers
 #  * rc needed by script acleandir.rc
-#  * db4.8-util needed by script cnid_maint
+#  * db-util needed by script cnid_maint
 #  * texlive-base-bin (dvips) and groff (roff2ps) needed by script etc2ps
 #  * quota needed by daemon afpd
 #  * db4.2-util needed by example script netatalk_update.sh for upgrades
 #    from 2.0.4~beta2-4 and earlier: can be dropped after Squeeze+1
-#  * db4.7-util needed by example script netatalk_update.sh for upgrades
-#    from 2.0.5-1 and earlier: can be dropped when 2.0.5-2 is in testing
 CDBS_DEPENDS = netbase, libpam-modules
-CDBS_RECOMMENDS = lsof, rc, db$(db_current)-util, procps, cracklib-runtime, libpam-cracklib
-CDBS_SUGGESTS = texlive-base-bin, groff, quota, $(db_stable:%=db%-util), $(db_testing:%=db%-util)
+CDBS_RECOMMENDS = lsof, rc, db-util, procps, cracklib-runtime, libpam-cracklib
+CDBS_SUGGESTS = texlive-base-bin, groff, quota, db4.2-util
