=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: net
 Priority: extra
 Maintainer: Jonas Smedegaard <dr@jones.dk>
-Build-Depends: cdbs (>= 0.4.70~),
- autotools-dev,
- devscripts (>= 2.10.7~),
- debhelper (>= 6),
+Build-Depends: autotools-dev,
+ cdbs (>= 0.4.72~),
+ devscripts,
+ debhelper,
  dh-buildinfo,
  libdb-dev,
  libwrap0-dev,
