=== debian/rules ===
--- 
+++ 
@@ -25,11 +25,11 @@
 
 DEB_UPSTREAM_URL = http://downloads.sourceforge.net/netatalk
 DEB_UPSTREAM_TARBALL_BASENAME_MANGLE = s/~(alpha|beta|rc)/-\1/
-DEB_UPSTREAM_TARBALL_MD5 = 8bdac54ad3e8de3fdbb2616bc773c2f7
+DEB_UPSTREAM_TARBALL_MD5 = becc91405f20a60464bf26bfaccc4627
 
 # Override defaults for old-style update-rc.d
 #  * Start and stop at priority 50 (FIXME: explain reasoning)
-#  * Stop only in runlevel 1 (let system kill it in runlelels 0 and 6)
+#  * Stop only in runlevel 1 (let system kill it in runlevels 0 and 6)
 DEB_UPDATE_RCD_PARAMS = start 50 2 3 4 5 . stop 50 1 .
 
 # Tighten security - more info at http://wiki.debian.org/Hardening
