## netatalk 2.2.2

=== debian/changelog ===
netatalk (2.2.2-1ubuntu2.2) trusty-security; urgency=medium

  * SECURITY UPDATE: RCE with root privileges
    - debian/patches/CVE-2018-1160-01.patch: libatalk/dsi: avoid double use of
      variable i
    - debian/patches/CVE-2018-1160-02.patch: libatalk/dsi: add correct bounding
      checking to dsi_opensession
    - CVE-2018-1160

 -- Mike Salvatore <mike.salvatore@canonical.com>  Thu, 20 Dec 2018 09:21:31 -0500

netatalk (2.2.2-1ubuntu2) trusty; urgency=low

  * No change rebuild against db 5.3.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Sat, 02 Nov 2013 17:18:24 +0000

netatalk (2.2.2-1ubuntu1) quantal; urgency=low

  * Define a variable to allow access to CUPS structure fields. Fixes FTBFS.

 -- Ilya Barygin <randomaction@ubuntu.com>  Fri, 05 Oct 2012 22:30:18 +0400

netatalk (2.2.2-1) unstable; urgency=low

  * New upstream release.
  * Drop patch cherry-picked upstream: Included in new upstream release.
  * Build-depend on libldap2-dev and libacl1-dev, to enable LDAP support
    and support for extended ACLs (and possibly avoid FTBFS).
    Closes: bug#645290, #651406. Thanks to Peter Eisentraut and masc.
  * Update copyright file:
    + Bump format to 1.0.
    + Fix double-indent in Copyright fields as per Policy §5.6.13.
    + Add Files paragraph for ACL code.
  * Bump standards-version to 3.9.3.
  * Update copyright file: Add disclaimer to License paragraph
    GAP~Makefile.in.
  * Bump debhelper compat level to 7.
  * Add patch 101 to start avahi-daemon (if available) before atalkd.
    Recommend avahi-daemon.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 20 Mar 2012 23:37:08 +0100
