=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: netatalk
 Section: net
 Priority: extra
-Maintainer: Jonas Smedegaard <dr@jones.dk>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jonas Smedegaard <dr@jones.dk>
 Build-Depends: autotools-dev,
  cdbs (>= 0.4.72~),
  devscripts,
@@ -16,12 +17,14 @@
  libgcrypt11-dev,
  libcrack2-dev,
  libavahi-client-dev,
+ libldap2-dev,
+ libacl1-dev,
  d-shlibs,
  hardening-includes
 Build-Conflicts: libavahi-compat-libdnssd-dev
 Vcs-Git: git://git.debian.org/git/collab-maint/netatalk
 Vcs-Browser: http://git.debian.org/?p=collab-maint/netatalk.git
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://netatalk.sourceforge.net/
 
 Package: netatalk
