=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 
 DEB_UPSTREAM_URL = http://downloads.sourceforge.net/netatalk
 DEB_UPSTREAM_TARBALL_BASENAME_MANGLE = s/~(alpha|beta|rc)/-\1/
-DEB_UPSTREAM_TARBALL_MD5 = becc91405f20a60464bf26bfaccc4627
+DEB_UPSTREAM_TARBALL_MD5 = c00dd0b35279d6daac6e3306576cecaf
 
 # Override defaults for old-style update-rc.d
 #  * Start and stop at priority 50 (FIXME: explain reasoning)
@@ -35,6 +35,7 @@
 # Tighten security - more info at http://wiki.debian.org/Hardening
 CFLAGS += $(HARDENING_CFLAGS)
 LDFLAGS += $(HARDENING_LDFLAGS)
+CPPFLAGS += -D_IPP_PRIVATE_STRUCTURES
 
 DEB_CONFIGURE_EXTRA_FLAGS := \
 	--with-shadow --enable-fhs		\
@@ -123,7 +124,7 @@
 # Needed for by upstream build process
 CDBS_BUILD_DEPENDS += , libdb-dev, libwrap0-dev, libpam0g-dev, libcups2-dev, libkrb5-dev, libltdl3-dev
 CDBS_BUILD_DEPENDS += , libgcrypt11-dev, libcrack2-dev
-CDBS_BUILD_DEPENDS += , libavahi-client-dev
+CDBS_BUILD_DEPENDS += , libavahi-client-dev, libldap2-dev, libacl1-dev
 ifneq (,$(findstring openssl,$(DEB_BUILD_OPTIONS)))
 CDBS_BUILD_DEPENDS += , $(openssl_build_depends)
 endif
@@ -133,7 +134,7 @@
 
 # Needed (always/often/seldom) at runtime
 #  * netbase needed by network-facing daemons
-#  * libpam-modules, libpam-cracklib and cracklib-runtime needed by daemons afpd and papd
+#  * libpam-modules, libpam-cracklib, cracklib-runtime and avahi-daemon needed by daemons afpd and papd
 #  * lsof and procps needed by script macusers
 #  * rc needed by script acleandir.rc
 #  * db-util needed by script cnid_maint
@@ -142,5 +143,5 @@
 #  * db4.2-util needed by example script netatalk_update.sh for upgrades
 #    from 2.0.4~beta2-4 and earlier: can be dropped after Squeeze+1
 CDBS_DEPENDS = netbase, libpam-modules
-CDBS_RECOMMENDS = lsof, rc, db-util, procps, cracklib-runtime, libpam-cracklib
+CDBS_RECOMMENDS = lsof, rc, db-util, procps, cracklib-runtime, libpam-cracklib, avahi-daemon
 CDBS_SUGGESTS = texlive-base-bin, groff, quota, db4.2-util
