## netatalk 2.2.5

=== debian/changelog ===
netatalk (2.2.5-2+deb9u1) stretch-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Unauthenticated remote code execution in Netatalk (CVE-2018-1160)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 20 Dec 2018 10:39:05 +0100

netatalk (2.2.5-2) unstable; urgency=medium

  [ Adrian Knoth ]
  * Add patch to source init functions in init.d script.
  * Bump debhelper compatibility level to 9.

  [ Brian Campbell ]
  * Add myself to uploaders

  [ Chris Boot ]
  * Add myself to uploaders

  [ Jonas Smedegaard ]
  * Address most FIXMEs.
  * Update watch file:
    + Bump to version 4.
    + Track any release (not only 2.x).
    + Mention gpb --uscan in usage comment.
  * Stop track upstream source with CDBS (use gpb --uscan).
  * Update git-buildpackage config: Filter any .gitignore file.
  * Modernize CDBS:
    + Build-depend on licensecheck (not devscripts).
    + Tighten binary package relations to be package-specific.
  * Declare compliance with Debian Policy 3.9.8.
  * Update copyright info:
    + Resolve remaining FIXMEs.
      Closes: Bug#751121. Thanks to Luca Falavigna.
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
    + Clarify vaguely ORed license pair.
    + Re-label to use SPDX license shortnames FSFUL FSFULLR X11.
    + Extend coverage of Debian packaging.
  * Add lintian override regarding license in License-Reference field.
    See bug#786450.
  * Drop example script to convert from netatalk 2.0.4~beta2-4 and
    earlier: needed package db4.2-util no longer available.
    Stop suggest db4.2-util.
  * Fix version in NEWS entry.
  * Add patches cherry-picked upstream, including ASP/DDP fixes.
    Closes: Bug#760111, #760112. Thanks to Vincent Duvert.
  * Fix stop build-depend on d-shlibs.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 10 Jan 2017 15:29:57 +0100

netatalk (2.2.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop Build-Depends on hardening-includes. (Closes: #836757)

 -- Chris Lamb <lamby@debian.org>  Wed, 28 Sep 2016 11:27:14 +0100

netatalk (2.2.5-1) unstable; urgency=medium

  [ upstream ]
  * New stable release 2.2.3.
    + Add afpd support for Apple mDNSResponder.
    + Add afpd new LDAP config option ldap_uuid_string.
    + Based on Unicode 6.1.0.
    + Update experimental systemd service files to always run both afpd
      and cnid_metad (unsuitable for 2.x: lack AppleTalk support).
    + Update afpd to ensure our umask is not altered by e.g. pam_umask.
    + Update  afpd to use GSS_C_NO_NAME as server principal when
      Kerberos options -fqdn and -krb5service are not set.
    + Update afpd CNID handling for TimeMachine volumes.
      Closes: bug#703426. Thanks to Dominic Evans.
    + Fix afpd sendfile() on FreeBSD.
    + Fix afpd to not use searchdb when doing partial name search.
    + Fix possible afpd bug handling disconnected sessions.
    + Fix close IPC file descriptors in afpd session child processes.
    + Fix dbd to not remove BerkeleyDB if still in use by e.g. cnid_dbd
      (a bug introduced in 2.2.2).
    + Fix debian initscript to start avahi-daemon (if available) before
      atalkd
    + Fix use only ASCII in Zeroconf advertised TimeMachine volume name.
  * New stable release 2.2.4:
    + Fix missing UAM links.
    + Fix lockup in AFP logout on Fedora 17.
    + Fix reset signal handlers and alarm timer after successful PAM
      authentication. Fixes a problem with AFP disconnects caused by
      pam_smbpass.so messing with our handlers and timer.
    + Fix possible afpd problem with sendfile on Solaris derived
      platforms.
  * New stable release 2.2.5:
    + Fix errors searching volumes.
    + Add configurable symlink handling with a new volume option
      'followsymlinks'. Setting the option causes afpd to follow
      symlinks on the server side.
    + Reload groups when reloading volumes.
    + Fix a possible crash in cname() where cname_mtouname calls
      dirlookup() where the curdir is freed because the dircache
      detected a dev/inode cache difference and evicted the object
      from the cache.
    + Fix change default FinderInfo for directories to be all 0.

  [ Jonas Smedegaard ]
  * Update README.source to emphasize control.in file as *not* a
    show-stopper for contributions, referring to wiki page for details.
  * Adapt to upstream change from CVS to git:
    + Add git URL as alternate upstream source.
    + Have git-import-orig suppress upstream .gitignore file.
    + Drop helper target get-orig-vcs from rules file.
    + Stop tracking md5sum of upstream tarball (track git tags instead).
  * Drop dpkg-source local-options hint: Declared options are default
    since dpkg-source 1.16.1.
  * Move packaging to team maintenance:
    + Update Vcs-* Maintainer fields in control file.
    + (Re-)add myself as uploader.
  * Drop patch 101: Adopted upstream.
  * Unfuzz patches.
  * Separate upstream-relevant part of patch 205 as patch 101 to drop
    bogus warning in configfile.
  * Fix explicitly enable code paths private since CUPS 1.6.
    Closes: bug#713558. Thanks to Patrick Coulthard.
  * Add patch 102 to fix bashisms in add_netatalk_printer script.
    Closes: bug#581127. Thanks to Raphael Geissert.
  * Add patch 103 to fix user-visible typos in log output and
    documentation.
    Closes: bug#685162. Thanks to Ralf Hildebrandt.
  * extend logcheck filters.
    Closes: bug#589215, #588832. Thanks to Radek Antoniuk.
  * Update copyright file:
    + Fix relabel a license as MIT~veryshort (from GAP).
    + Improve tracking of autotools files.
  * Fix DEP5 syntax error (Double "Copyright:").
  * Fix revert to SysV stop action at default runlevels:
    + Add patch 104 to adjust LSB header.
    + Drop custom update-rc.d parameters (also other now obsolete ones)
      in rules file.
    Closes: bug#745520. Thanks to "c" and Chad.
  * Tidy patches:
    + Normalize extension of patch 205.

