=== debian/watch ===
# run "uscan --report" to check or "gpb import-orig --uscan" to update
version=4
http://sf.net/netatalk/netatalk-(\d[\d.]+)\.tar\.gz debian
